# PHTTPMultiSimpAuth Class Reference

This class describes the simple authorisation mechanism for a Universal Resource Locator, a fixed realm, multiple usernames and passwords. More...

`#include <http.h>`

Inheritance diagram for PHTTPMultiSimpAuth:

List of all members.

## Public Member Functions

| PHTTPMultiSimpAuth (const PString &realm)
| PHTTPMultiSimpAuth (const PString &realm, const PStringToString &userList)
virtual PObject * | Clone () const
| Create a copy of the class on the heap.
virtual PString | GetRealm (const PHTTPRequest &request) const
| Get the realm or name space for the user authorisation name and password as required by the basic authorisation system of HTTP/1.0.
virtual PBoolean | Validate (const PHTTPRequest &request, const PString &authInfo) const
| Validate the user and password provided by the remote HTTP client for the realm specified by the class instance.
virtual PBoolean | IsActive () const
| Determine if the authirisation is to be applied.
void | AddUser (const PString &username, const PString &password)
| Get the user name allocated to this simple authorisation.

## Protected Attributes

PString | realm
PStringToString | users

## Detailed Description

This class describes the simple authorisation mechanism for a Universal Resource Locator, a fixed realm, multiple usernames and passwords.

## Constructor & Destructor Documentation

PHTTPMultiSimpAuth::PHTTPMultiSimpAuth | ( | const PString & | realm | ) |

Parameters:

  realm | Name space for the username and password.

PHTTPMultiSimpAuth::PHTTPMultiSimpAuth | ( | const PString & | realm,
|  | const PStringToString & | userList |
| ) |  |  |

Parameters:

  realm | Name space for the usernames.
  userList | List of usernames and passwords.

## Member Function Documentation

void PHTTPMultiSimpAuth::AddUser | ( | const PString & | username,
|  | const PString & | password |
| ) |  |  |

Get the user name allocated to this simple authorisation.

Returns:
  String for the authorisation user name.

Parameters:

  username | Username that this object wiull authorise.
  password | Password for the above username.

virtual PObject* PHTTPMultiSimpAuth::Clone | ( |  | ) | const`[virtual]`

Create a copy of the class on the heap.

This is used by the `PHTTPResource` classes for maintaining authorisation to resources.

Returns:
  pointer to new copy of the class instance.

Reimplemented from PObject.

virtual PString PHTTPMultiSimpAuth::GetRealm | ( | const PHTTPRequest & | request | ) | const`[virtual]`

Get the realm or name space for the user authorisation name and password as required by the basic authorisation system of HTTP/1.0.

Returns:
  String for the authorisation realm name.

Parameters:

  request | Request information.

Implements PHTTPAuthority.

virtual PBoolean PHTTPMultiSimpAuth::IsActive | ( |  | ) | const`[virtual]`

Determine if the authirisation is to be applied.

This could be used to distinguish between net requiring authorisation and requiring autorisation but having no password.

The default behaviour is to return true.

Returns:
  true if the authorisation in the realm is to be applied.

Reimplemented from PHTTPAuthority.

virtual PBoolean PHTTPMultiSimpAuth::Validate | ( | const PHTTPRequest & | request,
|  | const PString & | authInfo |
| ) |  |  | const`[virtual]`

Validate the user and password provided by the remote HTTP client for the realm specified by the class instance.

Returns:
  true if the user and password are authorised in the realm.

Parameters:

  request | Request information.
  authInfo | Authority information string.

Implements PHTTPAuthority.

## Member Data Documentation

PString PHTTPMultiSimpAuth::realm `[protected]`

PStringToString PHTTPMultiSimpAuth::users `[protected]`

The documentation for this class was generated from the following file:

- http.h